
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>分享JavaScript获取网页关闭与取消关闭的事件 / iVAN</title>

    <meta name="description" content="分享JavaScript获取网页关闭与取消关闭的事件  这篇文章主要介绍了JavaScript获取网页关闭与取消关闭的事件,有需要的朋友可以参考一下 在做Web开发时,我们经常用到页面关闭事件onbeforeunload,可以给用户一个选择放弃关闭的机会,就比如这个博客编辑器.如果用户选择了离开,那么onunload事件自然会触发:但若用户选择了取消,又该如何检测呢?   我们假定一个页面离开取消事件,叫做onunloadcancel.显然,这个事件应触发在用户按下对话框的取消按钮之后.但关闭提示对话框的触发流程并不是那么简单.我们先来回顾下这个过">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">分享JavaScript获取网页关闭与取消关闭的事件</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p> 这篇文章主要介绍了JavaScript获取网页关闭与取消关闭的事件，有需要的朋友可以参考一下</p>
<p>在做Web开发时，我们经常用到页面关闭事件onbeforeunload，可以给用户一个选择放弃关闭的机会，就比如这个博客编辑器。如果用户选择了离开，那么onunload事件自然会触发；但若用户选择了取消，又该如何检测呢？<br />
 <br />
我们假定一个页面离开取消事件，叫做onunloadcancel。显然，这个事件应触发在用户按下对话框的取消按钮之后。但关闭提示对话框的触发流程并不是那么简单。我们先来回顾下这个过程：<br />
 <br />
 代码如下:<br />
window.onbeforeunload = function()<br />
{<br />
    return "真的离开?";<br />
}<br />
 <br />
 <br />
 <br />
当用户准备离开页面（比如按下关闭按钮，或者刷新页面等等），onbeforeunload事件触发。我们的脚本无法在这个事件里决定是否阻止页面的关闭，唯一能做到的只有返回一个字符串，这个字符串仅作为说明文字出现在关闭选择对话框里，用户可以选择关闭，或者不关闭。但究竟选择哪个，我们无从得知。<br />
 <br />
然而仔细分析下这个问题，其实不然。 如果用户真选择了关闭页面，那么之后所有的运行代码都byebye了；而继续留在页面的话，就当什么都没发生过，除了onbeforeunload事件。所以，我们在onbeforeunload事件里做点小花招，在此注册个几毫秒之后启动的定时器，如果页面真关闭了，那么这个定时器当然是作废了；那么页面还在，几毫秒的延时对于这个本来就是异步的界面交互事件也没有什么误差。<br />
 <br />
 代码如下:<br />
&lt;script language="JavaScript"&gt;<br />
window.onbeforeunload = function()<br />
{<br />
    setTimeout(onunloadcancel, 10);<br />
    return "真的离开?";<br />
}<br />
window.onunloadcancel = function()<br />
{<br />
    alert("取消离开");<br />
}<br />
&lt;/script&gt;<br />
 <br />
我们使用setTimeout，延时10ms执行onunloadcancel。如果页面真关闭了，定时器当然都销毁；反之继续。但在测试中，发现FireFox有个两个BUG：<br />
 <br />
有时按下关闭按钮，也会执行onunloadcancel，并且有个对话框一闪而过。如果换成while(1);浏览器会一直卡死，这说明onunloadcancel确实是执行了，只是销毁了界面，但并没有暂停脚本的运行。<br />
如果是通过刷新页面的方式离开，仅执行一次onbeforeunload，但点击X按钮关闭页面，会执行两次onbeforeunload。因此我们还需在完善下，以便兼容FF。<br />
 <br />
 代码如下:<br />
&lt;script language="JavaScript"&gt;<br />
var _t;<br />
window.onbeforeunload = function()<br />
{<br />
    setTimeout(function(){_t = setTimeout(onunloadcancel, 0)}, 0);<br />
    return "真的离开?";<br />
}<br />
window.onunloadcancel = function()<br />
{<br />
    clearTimeout(_t);<br />
    alert("取消离开");<br />
}<br />
&lt;/script&gt;<br />
 <br />
 <br />
这里使用了一种我也说不出原因的办法，应该算是hack，解决了FF下的bug。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 12:15:46</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e7%94%a8%e6%88%b7/" title="用户">用户</a>, <a href="https://www.iamivan.net/tag/%e9%a1%b5%e9%9d%a2/" title="页面">页面</a>, <a href="https://www.iamivan.net/tag/%e9%80%89%e6%8b%a9/" title="选择">选择</a>, <a href="https://www.iamivan.net/tag/function/" title="function">function</a>, <a href="https://www.iamivan.net/tag/%e4%ba%8b%e4%bb%b6/" title="事件">事件</a>, <a href="https://www.iamivan.net/tag/%e5%ad%97%e7%ac%a6%e4%b8%b2%e7%82%b9%e5%87%bb%e4%ba%8b%e4%bb%b6/" title="字符串点击事件">字符串点击事件</a>, <a href="https://www.iamivan.net/tag/onbeforeunload/" title="onbeforeunload">onbeforeunload</a>, <a href="https://www.iamivan.net/tag/%e7%a6%bb%e5%bc%80%e9%a1%b5%e9%9d%a2/" title="离开页面">离开页面</a>, <a href="https://www.iamivan.net/tag/%e5%ae%9a%e6%97%b6%e5%85%b3%e9%97%ad%e9%a1%b5%e9%9d%a2/" title="定时关闭页面">定时关闭页面</a>, <a href="https://www.iamivan.net/tag/%e5%85%b3%e9%97%ad%e4%ba%8b%e4%bb%b6/" title="&num;关闭事件">&num;关闭事件</a>, <a href="https://www.iamivan.net/tag/%e5%85%b3%e9%97%ad%e9%a1%b5%e9%9d%a2/" title="关闭页面">关闭页面</a>, <a href="https://www.iamivan.net/tag/%e5%bb%b6%e6%97%b6%e5%85%b3%e9%97%ad/" title="延时关闭">延时关闭</a>, <a href="https://www.iamivan.net/tag/edit-%e5%ae%9a%e6%97%b6-%e5%88%b7%e6%96%b0-%e5%8d%a1%e6%ad%bb/" title="edit 定时 刷新 卡死">edit 定时 刷新 卡死</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>分享JavaScript获取网页关闭与取消关闭的事件的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgEAL3z.html" rel="bookmark">分享JavaScript获取网页关闭与取消关闭的事件&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在做Web开发时,我们经常用到页面关闭事件onbeforeunload,可以给用户一个选择放弃关闭的机会,就比如这个博客编辑器.如果用户选择了离开,那么onunload事件自然会触发:但若用户选择了取消,又该如何检测呢? 我们假定一个页面离开取消事件,叫做onunloadcancel.显然,这个事件应触发在用户按下对话框的取消按钮之后.但关闭提示对话框的触发流程并不是那么简单.我们先来回顾下这个过程: 复制代码 代码如下: window.onbeforeunload = function(){ 			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqW1AZz.html" rel="bookmark">javascript获取网页各种高宽及位置的方法总结&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				screen对象 获取屏幕的高宽(分辨率) screen.width //屏幕的宽 screen.height //屏幕的高 screen.availWidth //屏幕可用宽度 屏幕的像素高度减去系统部件高度之后的值 screen.availHeight //屏幕可用高度 屏幕的像素宽度减去系统部件宽度之后的值 window对象 获得窗口位置及大小 window.screenTop //窗口顶部距屏幕顶部的距离 window.screenLeft //窗口左侧距屏幕左侧的距离 window.i			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M19EnKM.html" rel="bookmark">JavaScript获取网页支持表单字符集的方法&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了JavaScript获取网页支持表单字符集的方法.分享给大家供大家参考.具体如下: JavaScript获取网页支持表单的字符集可通过表单的acceptCharset方法获得 &lt;!DOCTYPE html&gt; &lt;html&gt; &lt;body&gt; &lt;form id=&quot;frm1&quot; accept-charset=&quot;ISO-8859-1&quot;&gt; First name: &lt;input type=&quot;text&quo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pm3vADb.html" rel="bookmark">JavaScript获取网页中第一个图片id的方法&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了JavaScript获取网页中第一个图片id的方法.分享给大家供大家参考.具体如下: 下面的代码通过document.images获取网页中的所有图片,然后获取第一个图片的id属性 &lt;!DOCTYPE html&gt; &lt;html&gt; &lt;body&gt; &lt;img id=&quot;klematis lilac&quot; border=&quot;0&quot; src=&quot;klematis.jpg&quot; width=&quot;148&quot;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pd0wj2p.html" rel="bookmark">JavaScript获取网页中第一个链接ID的方法&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了JavaScript获取网页中第一个链接ID的方法.分享给大家供大家参考.具体如下: 下面的JS代码通过document.links获得网页中的所有超级链接数组,然后获得第一个链接的ID属性 &lt;!DOCTYPE html&gt; &lt;html&gt; &lt;body&gt; &lt;h1&gt;sharejs.com&lt;/h1&gt; &lt;img src =&quot;planets.gif&quot; width=&quot;145&quot; height=&quot			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3NOKmz.html" rel="bookmark">JavaScript获取网页支持表单字符集的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 JavaScript获取网页支持表单的字符集可通过表单的acceptCharset方法获得 1 2 3 4 5 6 7 8 9 10 11 12 13 14 &lt;!DOCTYPE html&gt; &lt;html&gt; &lt;body&gt; &lt;form id=&quot;frm1&quot; accept-charset=&quot;ISO-8859-1&quot;&gt; First name: &lt;input type=&quot;text&quot; name=&quot;f			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJZA72z.html" rel="bookmark">javascript 获取网页标题代码实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 这篇文章主要介绍了javascript 获取网页标题代码实例,有需要的朋友可以参考一下 代码如下: &lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD XHTML 1.0 Transitional//EN&quot; &quot;http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd&quot;&gt; &lt;html xmlns=&quot;http://www.w3.org/1999/xhtml&quot;&			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mgy8A1z.html" rel="bookmark">javascript获取网页宽高方法汇总&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				document.body.clientWidth - 网页可见区域宽 document.body.clientHeight - 网页可见区域高 document.body.offsetWidth - 网页可见区域宽,包括边线和滚动条的宽 document.body.offsetHeight - 网页可见区域高,包括边线和滚动条的高[FF,chrom下是整个页面高,IE opera 下正常] document.body.scrollWidth - 网页总宽 document.body.scrol			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze0awVp.html" rel="bookmark">javascript 获取网页标题代码实例&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				复制代码 代码如下: &lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD XHTML 1.0 Transitional//EN&quot; &quot;http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd&quot;&gt;&lt;html xmlns=&quot;http://www.w3.org/1999/xhtml&quot;&gt;&lt;head&gt;&lt;meta http-equiv=&quot;			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz40QLz.html" rel="bookmark" class="title">Word2007制作禁止吸烟的标志</a>
					<div>
						许多公共场所都不允许吸引,因为吸烟不仅有害健康,而且还影响他人的健康,还会污染环境,所以在某些地方我们非常有必要贴上一张&quot;禁止吸烟标志&quot;,就像在许多公共场所里面看到的标志一样.那么 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbKBJOz.html" rel="bookmark" class="title">php中 被遗忘的函数</a>
					<div>
						函数 ctype_alnum -- Check for alphanumeric character(s) 检测是否是只包含[A-Za-z0-9] ctype_alpha -- Check for a ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1Mv8PWz.html" rel="bookmark" class="title">Flash AS：模仿画笔的动画效果实例</a>
					<div>
						效果如下: [AS] 粗度 = 1; 颜色 = &quot;0x000000&quot;; 色 = new Array(&quot;0x000000&quot;,&quot;0xff0000&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b2DjQp.html" rel="bookmark" class="title">Photoshop打造金属文字特效</a>
					<div>
						本教程重点是在液化部分的制作.需要多几个图层分别设置不同的图层样式,这样叠加到一起,液化的效果就明显一点,如果还不够的话,可以用曲线再加强一下,效果就明显很多. 本教程重点是在液化部分的制作.需要多几 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b25d3z.html" rel="bookmark" class="title">如何在网吧安全上网</a>
					<div>
						马上就是学校假期了,可能有大部分的学生会去网吧玩,可网吧却是是大部分网络窃贼们展现技艺的最佳地点,有没有什么办法保安全呢??答案是肯定的,有,下面我们就来一步步看如何让自己在网吧里安全上网,如果有问题 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1MvVd1M.html" rel="bookmark" class="title">用VB制作家庭影集</a>
					<div>
						你想拥有自己的电子家庭影集吗?其实用VB就能实现.方法如下: 准备:家庭普通照片经扫描后储存. 构想:照片一张接一张出现在屏幕中间,出现时的方式采取动态切换,上方一行标题从左向右移过, 标题与照片的背 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3NZ9Nz.html" rel="bookmark" class="title">CSS在IE与Firefox下的兼容性</a>
					<div>
						1.DOCTYPE 影响 CSS 处理 2.FF: div 设置 margin-left, margin-right 为 auto 时已经居中, IE 不行 3.FF: body 设置 text-al ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnx4lob.html" rel="bookmark" class="title">西门子计划裁员1400人以完成盈利目标</a>
					<div>
						[网易科技讯]7月22日消,西门子集团计划裁员超过1400人,以完成2009财年的盈利目标. 西门子新闻发言人兰多夫(Marc Langendorf)表示,西门子旗下一家制造大楼控制系统的分支机构将裁 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKP76p.html" rel="bookmark" class="title">Win8&period;1系统下如何取消Win10更新提示？</a>
					<div>
						  Win8.1系统下如何取消Win10更新提示?           微软正在大力推广Win10正式版系统,因此Win8.1用户每隔一段时间就会收到Win10更新提示,有些用户根本就不想升级win1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAa5x3M.html" rel="bookmark" class="title">怎么消除MP3歌曲中的人声</a>
					<div>
						现代社会人们消遣的方式可以说是多种多样的,随着电脑的日益普及和视音频技术的飞跃发展,很多喜欢唱卡拉OK的朋友都喜欢自己制作有个性化的卡拉OK歌曲来展示自己的歌喉.其制作方法一般是先在网上下载自己喜欢的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0WZa0b.html" rel="bookmark" class="title">Windows 7下固态硬盘优化技巧</a>
					<div>
						  在微软开发Windows Vista的时候,固态硬盘还没有如此火热,所以并未得到相应的优化.Windows 7就不同了,微软从一开始就把固态硬盘放在了关键位置上,近日更是通过官方博客详细阐述了新系 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9EOnVM.html" rel="bookmark" class="title">Ajax 返回字符串的过滤实现代码&lowbar;AJAX相关</a>
					<div>
						JS代码如下. 在调用Ajax返回后.一个奇怪的问题.返回的resultString值是&quot;ok&quot;但是跟字符串&quot;ok&quot;比较确不相等. Ajax调用out.prin ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBZ1mdb.html" rel="bookmark" class="title">Android Studio 从安装到配置使用</a>
					<div>
						   Android Studio是谷歌为android量身定制的IDE,在2013年谷歌大会上提出之后一直持续更新,现在已经是功能十分强劲的android开发工具,作为一个android开发者,还是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGAoE3M.html" rel="bookmark" class="title">Xcode7 插件制作入门</a>
					<div>
						概述 我们平时也使用了很多的xcode插件,虽然官方对于插件制作没有提供任何支持,但是加载三方的插件,默认还是被允许的.第三方的插件,需要存放在 ~/Library/Application Suppo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Qw8np.html" rel="bookmark" class="title">Citus Data公司正在把CitusDB朝Hadoop发展</a>
					<div>
						近日,数据库初创公司Citus Data实现了Hadoop数据上的快速SQL查询,其实这也不是什么大事,因为对于他们的来说,更大的目标在后面.Citus Data已超越Postgres将其高速.分析数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1l5wKb.html" rel="bookmark" class="title">java-字符串的第一个字母大写</a>
					<div>
						问题描述 字符串的第一个字母大写 我不知道应该怎么将字符串的第一个字母转换为大写: rackingSystem.toLowerCase(); // has capitals in every word ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQrExGM.html" rel="bookmark" class="title">Winfrom扩展控件textbox实现如下效果怎么做？</a>
					<div>
						问题描述 文本框输入验证提示,tooltip,文本框有内容时出现一个叉号,点击可以清空. 解决方案 解决方案二:做一个自定义控件解决方案三:怎么做啊?有没有例子借鉴一下T_T解决方案四:重写textB ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn7aakz.html" rel="bookmark" class="title">知识图谱相关会议之观后感分享与学习总结</a>
					<div>
						        2015年6月27日,清华大学FIT楼多功能报告厅,中国中文信息学会青年工委系列学术活动--知识图谱研究青年学者研讨会.        由于我毕设是与知识图谱.实体消歧.实体对齐.知识 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRq0rqb.html" rel="bookmark" class="title">Java中List效率的比较</a>
					<div>
						inkfish原创,请勿商业性质转载,转载请注明来源(http://blog.csdn.net/inkfish ). Java Collections Framework(JCF) 是Java SE中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKOgBb.html" rel="bookmark" class="title">笔记 - 10&period;4、HTML - CSS滤镜笔记</a>
					<div>
						15.CSS滤镜filter:(filter属性不属于w3c标准,只对IE有效) --- ①不透明度:     filter:alpha(参数1=参数值, 参数2=参数值, . . .);     参 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
									<a href="https://www.iamivan.net/a/zwW52dz.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcmVhZC5odG1sNS5xcS5jb20vaW1hZ2U/c3JjPWZvcnVtJmFtcDtxPTUmYW1wO3I9MCZhbXA7aW1nZmxhZz03JmFtcDtpbWFnZVVybD1odHRwOi8vZXNzYXkuYjAudXBhaXl1bi5jb20vMTc0Ny8zNjc1NzcvMC5qcGc=.jpg">
							</a>
							<div class="info"   >
					<a href="https://www.iamivan.net/a/zwW52dz.html" rel="bookmark" class="title">男女比例对房价的影响</a>
					<div>
						       经济人杂志总能找到一些跟中国相关的新奇观点.最近的一篇文章指出中国的高房价跟性别比例相关.原因是没有婚房的男屌丝们基本上是找不到老婆的,于是在男性比女性多的地方,男同学当然要削尖脑袋买房 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDe0dXb.html" rel="bookmark" class="title">如何使用Fluent Nhibernate中的Automapping进行OR Mapping映射</a>
					<div>
						由于在项目中使用了NHibernate来作为ORMapping构建数据访问层,那么就必须要配置Object和DataTable的映射.最早的项目中,我们使用了最传统的XML配置文件的方式编写映射关系, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxYy5Qp.html" rel="bookmark" class="title">php 简单的登入登出实例程序&lpar;session&rpar;</a>
					<div>
						关于会话处理 HTTP 是一种无状态的协议,说明每次请求的处理都与之前或之后的 请求无关,但是为了能够调整用户特有的行为和首选项,出现了一种在客户端存储少量信息(常称为cookie)的实践,但由于 c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgwmE3M.html" rel="bookmark" class="title">Swing之JTable的详细介绍&lpar;转&rpar;</a>
					<div>
						表格(Table)的使用与介绍8-1:使用JTable组件:类层次结构图:java.lang.Object--java.awt.Component--java.awt.Container--javax ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5R6A6z.html" rel="bookmark" class="title">表单-如何用SSM框架上传图片</a>
					<div>
						问题描述 如何用SSM框架上传图片 框架是SSM,数据库保存图片的类型是varchar jsp中用 表单提交, 该怎么上传图片并显示在页面上 解决方案 struts2中有一个fileUpload拦截器 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrqNl6b.html" rel="bookmark" class="title">简明Python3教程 16&period;标准库</a>
					<div>
						简介 python标准库作为python标准安装的一部分,其自身包含数量庞大的实用模块, 因此熟悉python标准库非常重要,因为很多问题都能利用python标准库快速解决. 下面我们将研究标准库中的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvnZ9rM.html" rel="bookmark" class="title">ant-ANT编译nutch时失败，请问大神们这是什么原因呢？</a>
					<div>
						问题描述 ANT编译nutch时失败,请问大神们这是什么原因呢? 但是ANT执行还是报错如下: 提示错误:You probably access the destination server thro ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeovgVM.html" rel="bookmark" class="title">网易云信 java给手机写接口  curl是什么东西，跪求大神解决</a>
					<div>
						问题描述 网易云信 java给手机写接口 curl是什么东西,跪求大神解决 用到的框架 spring springmvc mybatis 这是开发手册的地址http://dev.netease.im/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQq8kp.html" rel="bookmark" class="title">代表建议：分三档实行门路水价</a>
					<div>
						市发改委.水务局等部分表示 目前尚存在人口统计和更换水表的困难 今天的水价听证会上,有代表提出,北京应该实行门路水价,让一些用水量多的人承担更多的本钱:而老百姓最基础的一些用水价格不要太贵. 对此,市 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV797kb.html" rel="bookmark" class="title">PHP中header函数的用法及其注意事项详解&lowbar;php实例</a>
					<div>
						void header ( string $string [, bool $replace = true [, int $http_response_code ]] ) : Send a raw HT ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
